## git-annex 10.20250416

=== Makefile ===
all=git-annex git-annex-shell git-remote-annex mans docs

# set to "./Setup" if you lack a cabal program. Or can be set to "stack"
BUILDER?=cabal
ifeq ($(BUILDER),stack)
GHC?=stack ghc --
else
GHC?=ghc
endif

PREFIX?=/usr
SHAREDIR?=share

# On Debian systems, zsh does not look here, and you will have to override
# this to /usr/share/zsh/vendor-completions
ZSH_COMPLETIONS_PATH?=$(PREFIX)/$(SHAREDIR)/zsh/site-functions

build: $(all)

# install system-wide
# Set PREFIX and DESTDIR to configure where it is installed
install: install-bins install-docs install-completions install-desktop

# installs into your home directory
install-home:
	$(MAKE) install-bins PREFIX=$(HOME)/.local
	$(MAKE) install-mans PREFIX=$(HOME)/.local
	$(MAKE) install-desktop PREFIX=$(HOME)/.local USERDIR=1

tmp/configure-stamp: Build/TestConfig.hs Build/Configure.hs
	if [ "$(BUILDER)" = ./Setup ]; then $(GHC) --make Setup; fi
	if [ "$(BUILDER)" != stack ]; then \
		$(BUILDER) configure -fParallelBuild $(BUILDERCOMMONOPTIONS) --ghc-options="$(shell Build/collect-ghc-options.sh)"; \
		rm cabal.project.local~* 2>/dev/null || true; \
	else \
		$(BUILDER) setup $(BUILDERCOMMONOPTIONS); \
	fi
	mkdir -p tmp
	touch tmp/configure-stamp

# Build with stack if it was used to build before, otherwise cabal.
dev:
	@if [ -d .stack-work ]; then BUILDER=stack make; else make; fi

# Non-optimised build for development, with profiling enabled (for memory
# profiling).
#
# This leaves cabal.project.local configured for a prof build,
# so just running make will continue to do prof builds.
prof:
	$(BUILDER) configure -f"-Production" -fParallelBuild \
		--enable-executable-dynamic --enable-profiling
	rm cabal.project.local~* 2>/dev/null || true
	mkdir -p tmp
	touch tmp/configure-stamp
	$(MAKE) git-annex tags

git-annex: tmp/configure-stamp
	$(BUILDER) build $(BUILDERCOMMONOPTIONS) $(BUILDEROPTIONS)
	@if [ "$(BUILDER)" = stack ]; then \
		ln -f $$(stack path $(BUILDERCOMMONOPTIONS) --dist-dir)/build/git-annex/git-annex git-annex; \
	else \
		if [ -d dist-newstyle ]; then \
			ln -f $$(cabal list-bin git-annex) git-annex || \
				ln -f $$(cabal exec -- sh -c 'command -v git-annex') git-annex; \
		else \
			ln -f dist/build/git-annex/git-annex git-annex; \
		fi; \
	fi

git-annex-shell: git-annex
	ln -sf git-annex git-annex-shell

git-remote-annex: git-annex
	ln -sf git-annex git-remote-annex

install-mans: mans
	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/man/man1
	install -m 0644 man/*.1 $(DESTDIR)$(PREFIX)/$(SHAREDIR)/man/man1

install-docs: docs install-mans
	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/doc/git-annex
	if [ -d html ]; then \
		rsync -a --delete html/ $(DESTDIR)$(PREFIX)/$(SHAREDIR)/doc/git-annex/html/; \
	fi

install-bins: build
	install -d $(DESTDIR)$(PREFIX)/bin
	install git-annex $(DESTDIR)$(PREFIX)/bin
	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-annex-shell
	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-remote-annex
	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-remote-tor-annex

install-desktop: build Build/InstallDesktopFile
	./Build/InstallDesktopFile $(PREFIX)/bin/git-annex || true

install-completions: build
	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/bash-completion/completions
	install -m 0644 bash-completion.bash $(DESTDIR)$(PREFIX)/$(SHAREDIR)/bash-completion/completions/git-annex
	install -d $(DESTDIR)$(ZSH_COMPLETIONS_PATH)
	./git-annex --zsh-completion-script git-annex 2>/dev/null \
		> $(DESTDIR)$(ZSH_COMPLETIONS_PATH)/_git-annex
	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/fish/vendor_completions.d
	./git-annex --fish-completion-script git-annex 2>/dev/null \
		> $(DESTDIR)$(PREFIX)/$(SHAREDIR)/fish/vendor_completions.d/git-annex.fish

test: git-annex git-annex-shell git-remote-annex
	./git-annex test

retest: git-annex
	./git-annex test --rerun-update --rerun-filter failures

tags:
	hasktags . -c || true

mans: Build/MakeMans
	./Build/MakeMans

# If ikiwiki is available, build static html docs suitable for being
# shipped in the software package.
docs: mans
	@if command -v ikiwiki; then \
		LC_ALL=C TZ=UTC ikiwiki doc html -v --wikiname git-annex \
			--plugin=goodstuff \
			--no-usedirs --disable-plugin=openid --plugin=sidebar \
			--plugin theme --set theme=actiontabs --set deterministic=1 \
			--disable-plugin=shortcut --disable-plugin=smiley \
			--plugin=comments --set comments_pagespec="*" \
			--exclude='ikiwiki/*' \
			--exclude='news/.*' --exclude='design/assistant/blog/*' \
			--exclude='bugs/*' --exclude='todo/*' --exclude='forum/*' \
			--exclude='users/*' --exclude='devblog/*' --exclude='thanks'; \
	else \
		echo "** ikiwiki not found, skipping building docs" >&2; \
	fi

clean:
	if [ "$(BUILDER)" != ./Setup ] && [ "$(BUILDER)" != cabal ]; then $(BUILDER) clean; fi
	rm -rf tmp dist dist-newstyle git-annex $(mans) configure  *.tix .hpc \
		doc/.ikiwiki html dist tags Build/SysConfig Build/Version \
		Setup Build/InstallDesktopFile Build/Standalone \
		Build/DistributionUpdate Build/BuildVersion Build/MakeMans \
		git-annex-shell git-remote-annex .tasty-rerun-log
	find . -name \*.o -exec rm {} \;
	find . -name \*.hi -exec rm {} \;

Build/InstallDesktopFile: Build/InstallDesktopFile.hs
	$(GHC) --make $@ -Wall -fno-warn-tabs
Build/Standalone: Build/Standalone.hs Build/LinuxMkLibs.hs Utility/LinuxMkLibs.hs tmp/configure-stamp
	$(GHC) --make $@ -Wall -fno-warn-tabs
Build/BuildVersion: Build/BuildVersion.hs
	$(GHC) --make $@ -Wall -fno-warn-tabs
Build/MakeMans: Build/MakeMans.hs
	$(GHC) --make $@ -Wall -fno-warn-tabs

LINUXSTANDALONE_DEST=tmp/git-annex.linux
linuxstandalone:
	$(MAKE) git-annex Build/Standalone
	./Build/Standalone "$(LINUXSTANDALONE_DEST)" "$(LINUXSTANDALONE_DEST)"

	$(MAKE) install-mans DESTDIR="$(LINUXSTANDALONE_DEST)"
	zcat standalone/licences.gz > $(LINUXSTANDALONE_DEST)/LICENSE
	cp doc/logo_16x16.png doc/logo.svg $(LINUXSTANDALONE_DEST)
	cp standalone/trustedkeys.gpg $(LINUXSTANDALONE_DEST)

	md5sum git-annex | cut -d ' ' -f 1 > "$(LINUXSTANDALONE_DEST)/buildid"
	cd tmp/git-annex.linux && find . -type f > git-annex.MANIFEST
	cd tmp/git-annex.linux && find . -type l >> git-annex.MANIFEST
	cd tmp && tar c git-annex.linux | gzip -9 --rsyncable > git-annex-standalone-$(shell dpkg --print-architecture).tar.gz

# Run this target to build git-annex-standalone.deb
debianstandalone: dpkg-buildpackage-F
# Run this target to build git-annex-standalone.dsc
debianstandalone-dsc: dpkg-buildpackage-S

prep-standalone:
	$(MAKE) undo-standalone
	QUILT_PATCHES=debian/patches QUILT_SERIES=series.standalone-build quilt push -a
	debian/create-standalone-changelog

undo-standalone:
	test -e .git
	git checkout debian/changelog CHANGELOG
	quilt pop -a || true

commit-standalone:
	QUILT_PATCHES=debian/patches QUILT_SERIES=series.standalone-build  quilt refresh

dpkg-buildpackage%: prep-standalone
	umask 022; dpkg-buildpackage -rfakeroot $*
	$(MAKE) undo-standalone

OSXAPP_DEST=tmp/build-dmg/git-annex.app
OSXAPP_TOP=$(OSXAPP_DEST)/Contents/MacOS/bundle
osxapp:
	$(MAKE) git-annex
	# Remove all RPATHs, both because this overloads the linker on
	# OSX Sierra, and to avoid the binary looking in someone's home
	# directory.
	if otool -l git-annex | grep -q "path "; then \
		eval install_name_tool $$(otool -l git-annex | grep "path " | sed 's/.*path /-delete_rpath /' | sed 's/ (.*//') git-annex; \
	fi

	$(MAKE) Build/Standalone
	./Build/Standalone $(OSXAPP_TOP) $(OSXAPP_DEST)

	gzcat standalone/licences.gz > $(OSXAPP_TOP)/LICENSE
	cp $(OSXAPP_TOP)/LICENSE tmp/build-dmg/LICENSE.txt
	cp standalone/trustedkeys.gpg $(OSXAPP_DEST)/Contents/MacOS

	# OSX looks in man dir nearby the bin
	$(MAKE) install-mans DESTDIR="$(OSXAPP_TOP)/.." SHAREDIR="" PREFIX=""

	cd $(OSXAPP_DEST) && find . -type f > Contents/MacOS/git-annex.MANIFEST
	cd $(OSXAPP_DEST) && find . -type l >> Contents/MacOS/git-annex.MANIFEST
	rm -f tmp/git-annex.dmg

	# hdiutil sometimes fails with "resource busy", so try a few times
	ok=0; for x in 1 2 3 4 5; do \
		if [ $$ok = 0 ]; then \
			if hdiutil create -format UDBZ -size 640m -srcfolder tmp/build-dmg \
				-volname git-annex -o tmp/git-annex.dmg; \
			then \
				ok=1; \
			else \
				sleep 60; \
			fi \
		fi \
	done; if [ $$ok = 0 ]; then exit 1; fi

distributionupdate:
	git pull
	cabal configure
	rm cabal.project.local~* 2>/dev/null || true
	ghc -Wall -fno-warn-tabs --make Build/DistributionUpdate -XLambdaCase -XPackageImports
	./Build/DistributionUpdate

.PHONY: git-annex tags

=== debian/changelog ===
git-annex (10.20250416-2+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 10.20240430-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 13 Jul 2024 05:46:10 +0000]
  * Force use of llc-14.

  [changes brought forward from 10.20240430-1+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Thu, 26 Sep 2024 21:51:32 +0000]
  * Force use of llc-11 instead of llc-14.

  [changes introduced in 10.20250416-2+rpi1 by Peter Michael Green]
  * Pass -O0 to ghc.
  * Disable testsuite.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 19 Aug 2025 17:39:24 +0000

git-annex (10.20250416-2) unstable; urgency=medium

  * Cherry pick compatibility fix for Git 2.5.0 (Closes: #1108526).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 01 Jul 2025 11:23:57 +0100

git-annex (10.20250416-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 25 Apr 2025 14:34:27 +0800

=== debian/control ===
Source: git-annex
Section: utils
Priority: optional
Build-Depends: 
	debhelper-compat (= 13),
	ghc (>= 8.4.3),
	cabal-install,
	libghc-mtl-dev (>= 2.1.1),
	libghc-split-dev,
	libghc-data-default-dev,
	libghc-hslogger-dev,
	libghc-crypton-dev,
	libghc-memory-dev,
	libghc-deepseq-dev,
	libghc-attoparsec-dev,
	libghc-sandi-dev,
	libghc-utf8-string-dev,
	libghc-aws-dev (>= 0.20),
	libghc-conduit-dev,
	libghc-resourcet-dev,
	libghc-quickcheck2-dev (>= 2.10.0),
	libghc-monad-control-dev (>= 0.3),
	libghc-transformers-dev,
	libghc-exceptions-dev (>= 0.6),
	libghc-unix-compat-dev,
	libghc-dlist-dev,
	libghc-uuid-dev,
	libghc-aeson-dev,
	libghc-tagsoup-dev,
	libghc-unordered-containers-dev,
	libghc-ifelse-dev,
	libghc-bloomfilter-dev (>= 2.0.0),
	libghc-edit-distance-dev,
	libghc-hinotify-dev (>= 0.3.10) [linux-any],
	libghc-dbus-dev (>= 0.10.7) [linux-any],
	libghc-fdo-notify-dev (>= 0.3) [linux-any],
	libghc-yesod-dev (>= 1.2.6.1)       [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-yesod-core-dev (>= 1.2.19)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-yesod-form-dev (>= 1.3.15)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-yesod-static-dev (>= 1.2.4)  [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-shakespeare-dev (>= 2.0.0)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-clientsession-dev            [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-warp-dev (>= 3.0.0.5)        [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-warp-tls-dev                 [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-wai-dev                      [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-wai-extra-dev                [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-dav-dev (>= 1.0),
	libghc-persistent-dev (>= 2.8.1),
	libghc-persistent-template-dev,
	libghc-persistent-sqlite-dev (>= 2.8.1),
	libghc-microlens-dev,
	libghc-securemem-dev,
	libghc-byteable-dev,
	libghc-stm-chans-dev,
	libghc-case-insensitive-dev,
	libghc-http-types-dev,
	libghc-http-conduit-dev,
	libghc-http-client-restricted-dev,
	libghc-blaze-builder-dev,
	libghc-crypto-api-dev,
	libghc-network-multicast-dev,
	libghc-network-info-dev [linux-any kfreebsd-any],
	libghc-safesemaphore-dev,
	libghc-async-dev,
	libghc-monad-logger-dev,
	libghc-free-dev,
	libghc-feed-dev (>= 1.0.0),
	libghc-regex-tdfa-dev,
	libghc-tasty-dev (>= 0.7),
	libghc-tasty-hunit-dev,
	libghc-tasty-quickcheck-dev,
	libghc-tasty-rerun-dev,
	libghc-cabal-dev,
	libghc-ansi-terminal-dev,
	libghc-optparse-applicative-dev (>= 0.11.0),
	libghc-torrent-dev,
	libghc-concurrent-output-dev (>= 1.10),
	libghc-disk-free-space-dev,
	libghc-mountpoints-dev,
	libghc-magic-dev,
	libghc-socks-dev,
	libghc-vector-dev,
	libghc-unbounded-delays-dev,
	libghc-unliftio-core-dev,
	libghc-filepath-bytestring-dev,
	libghc-git-lfs-dev (>= 1.2.0),
	libghc-criterion-dev,
	libghc-clock-dev,
	libghc-servant-dev,
	libghc-servant-server-dev,
	libghc-servant-client-dev,
	libghc-servant-client-core-dev,
	lsof [linux-any],
	ikiwiki,
	libimage-magick-perl,
	git (>= 1:2.22),
	rsync,
	curl,
	openssh-client,
	git-remote-gcrypt (>= 0.20130908-6),
	gnupg,
	gpg-agent,
	llvm-11,
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Richard Hartmann <richih@debian.org>,
 Sean Whitton <spwhitton@spwhitton.name>,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/haskell-team/git-annex.git
Vcs-Browser: https://salsa.debian.org/haskell-team/git-annex
Homepage: http://git-annex.branchable.com/
XS-Testsuite: autopkgtest

Package: git-annex
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
	git (>= 1:2.22),
	netbase,
	rsync,
	curl,
	openssh-client (>= 1:5.6p1)
Recommends: 
	lsof,
	gnupg,
	bind9-host,
	git-remote-gcrypt (>= 0.20130908-6),
	nocache,
	aria2,
Suggests:
	xdot,
	bup,
	adb,
	tor,
	magic-wormhole,
	tahoe-lafs,
	libnss-mdns,
	uftp,
	yt-dlp,
Breaks: datalad (<< 0.12.3~)
Description: manage files with git, without checking their contents into git
 git-annex allows managing large files with git, without storing the file 
 contents in git. It can sync, backup, and archive your data, offline
 and online. Checksums and encryption keep your data safe and secure. Bring
 the power and distributed nature of git to bear on your large files with
 git-annex.
 .
 It can store large files in many places, from local hard drives, to a
 large number of cloud storage services, including S3, WebDAV,
 and rsync, with dozens of cloud storage providers usable via plugins.
 Files can be stored encrypted with gpg, so that the cloud storage
 provider cannot see your data. git-annex keeps track of where each file
 is stored, so it knows how many copies are available, and has many
 facilities to ensure your data is preserved.
 .
 git-annex can also be used to keep a folder in sync between computers,
 noticing when files are changed, and automatically committing them
 to git and transferring them to other computers. The git-annex webapp
 makes it easy to set up and use git-annex this way.

=== debian/rules ===
#!/usr/bin/make -f

export BUILDER=./Setup
export PATH:=$(CURDIR)/debian/fakebin:$(PATH)

# -j1 is used for reproducible build
export BUILDEROPTIONS=-j1

# Reduce optimisation on armhf and armel to avoid running out of
# memory.  Passing -O1 to ghc causes it to pass -O2 to llc.  We can't
# simply use ghc's -optlc to pass -O2 to llc, because when we don't
# pass -O1 to ghc, it will pass an -O3 to llc, overriding our -optlc
# attempt.  See definition of runPhase in
# compiler/main/DriverPipeline.hs in ghc source
DEB_HOST_ARCH?=$(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter armel,$(DEB_HOST_ARCH)))
export BUILDEROPTIONS:=$(BUILDEROPTIONS) --ghc-option=-O1
endif
ifneq (,$(filter armhf,$(DEB_HOST_ARCH)))
export BUILDEROPTIONS:=$(BUILDEROPTIONS) --ghc-option=-O0
endif

STANDALONE_BUILD=$(shell grep -qe '^Package: git-annex-standalone' debian/control \
                         && echo 1 || echo 0)

# Do use the changelog's version number, rather than making one up.
export RELEASE_BUILD=1

export ZSH_COMPLETIONS_PATH=/usr/share/zsh/vendor-completions

ifeq (yes, $(shell dpkg-vendor --derives-from Ubuntu && echo yes))
# See LP: #2019992
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
endif
endif

%:
	dh $@

execute_before_dh_auto_configure:
	mkdir -p debian/fakebin
	ln -s /usr/bin/opt-11 debian/fakebin/opt-15

execute_after_dh_auto_clean:
	rm -rf debian/fakebin

# Standalone build logic/helpers
ifeq ($(STANDALONE_BUILD),1)

override_dh_auto_build:
	make linuxstandalone GIT_ANNEX_PACKAGE_INSTALL=1

override_dh_auto_install:
	make install-desktop install-docs install-completions \
		DESTDIR=debian/git-annex-standalone
	# bins are linked into place, as instructed in debian/install and debian/links

override_dh_fixperms:
	dh_fixperms -Xld-linux

# gdb can't do much with a haskell program, so avoid the debug package
override_dh_strip:
	dh_strip --no-automatic-dbgsym

# Do not add "ldconfig" trigger since all libraries in the standalone build
# are private copies and the trigger activate-noawait trigger may not work
# on elderly distributions (e.g. squeeze)
override_dh_makeshlibs:
	dh_makeshlibs --noscripts

endif

override_dh_auto_test:
	echo testsuite disabled

## git-annex 10.20250721

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-all=git-annex git-annex-shell git-remote-annex mans docs
+all=git-annex git-annex-shell git-remote-annex git-remote-tor-annex mans docs
 
 # set to "./Setup" if you lack a cabal program. Or can be set to "stack"
 BUILDER?=cabal
@@ -69,10 +69,13 @@
 	fi
 
 git-annex-shell: git-annex
-	ln -sf git-annex git-annex-shell
+	@ln -sf git-annex git-annex-shell
 
 git-remote-annex: git-annex
-	ln -sf git-annex git-remote-annex
+	@ln -sf git-annex git-remote-annex
+
+git-remote-tor-annex: git-annex
+	@ln -sf git-annex git-remote-tor-annex
 
 install-mans: mans
 	install -d $(DESTDIR)$(PREFIX)/$(SHAREDIR)/man/man1

=== debian/changelog ===
git-annex (10.20250721-1) unstable; urgency=medium

  * New upstream release (Closes: #1109673).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 19 Aug 2025 12:24:22 +0100

=== debian/control ===
--- 
+++ 
@@ -100,7 +100,6 @@
 	git-remote-gcrypt (>= 0.20130908-6),
 	gnupg,
 	gpg-agent,
-	llvm-11,
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Richard Hartmann <richih@debian.org>,

=== debian/tests/control ===
Tests: basics
Depends: @, git, rsync, gnupg
Restrictions: allow-stderr, flaky

## git-annex 10.20250828+git1-g57a3856f0e-1~ndall+1

=== .pc/standalone-build/debian/control ===
Source: git-annex
Section: utils
Priority: optional
Build-Depends: 
	debhelper (>= 9),
	ghc (>= 8.4.3),
	cabal-install,
	libghc-mtl-dev (>= 2.1.1),
	libghc-split-dev,
	libghc-data-default-dev,
	libghc-hslogger-dev,
	libghc-cryptonite-dev,
	libghc-memory-dev,
	libghc-deepseq-dev,
	libghc-attoparsec-dev,
	libghc-sandi-dev,
	libghc-utf8-string-dev,
	libghc-aws-dev (>= 0.9.2-2~),
	libghc-conduit-dev,
	libghc-resourcet-dev,
	libghc-quickcheck2-dev,
	libghc-monad-control-dev (>= 0.3),
	libghc-transformers-dev,
	libghc-exceptions-dev (>= 0.6),
	libghc-unix-compat-dev,
	libghc-dlist-dev,
	libghc-uuid-dev,
	libghc-aeson-dev,
	libghc-tagsoup-dev,
	libghc-unordered-containers-dev,
	libghc-ifelse-dev,
	libghc-bloomfilter-dev,
	libghc-edit-distance-dev,
	libghc-hinotify-dev [linux-any],
	libghc-dbus-dev (>= 0.10.7) [linux-any],
	libghc-fdo-notify-dev (>= 0.3) [linux-any],
	libghc-yesod-dev (>= 1.2.6.1)       [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-yesod-core-dev (>= 1.2.19)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-yesod-form-dev (>= 1.3.15)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-yesod-static-dev (>= 1.2.4)  [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-shakespeare-dev (>= 2.0.0)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-clientsession-dev            [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-warp-dev (>= 3.0.0.5)        [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-warp-tls-dev                 [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-wai-dev                      [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-wai-extra-dev                [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-dav-dev (>= 1.0),
	libghc-persistent-dev,
	libghc-persistent-template-dev,
	libghc-persistent-sqlite-dev,
	libghc-microlens-dev,
	libghc-securemem-dev,
	libghc-byteable-dev,
	libghc-stm-chans-dev,
	libghc-case-insensitive-dev,
	libghc-http-types-dev,
	libghc-http-conduit-dev,
	libghc-http-client-restricted-dev,
	libghc-blaze-builder-dev,
	libghc-crypto-api-dev,
	libghc-network-multicast-dev,
	libghc-network-info-dev [linux-any kfreebsd-any],
	libghc-safesemaphore-dev,
	libghc-async-dev,
	libghc-monad-logger-dev,
	libghc-free-dev,
	libghc-feed-dev (>= 0.3.9.2),
	libghc-regex-tdfa-dev,
	libghc-tasty-dev (>= 0.7),
	libghc-tasty-hunit-dev,
	libghc-tasty-quickcheck-dev,
	libghc-tasty-rerun-dev,
	libghc-cabal-dev,
	libghc-ansi-terminal-dev,
	libghc-optparse-applicative-dev (>= 0.11.0),
	libghc-torrent-dev,
	libghc-concurrent-output-dev,
	libghc-disk-free-space-dev,
	libghc-mountpoints-dev,
	libghc-magic-dev,
	libghc-socks-dev,
	libghc-vector-dev,
	libghc-unliftio-core-dev,
	libghc-filepath-bytestring-dev,
	libghc-git-lfs-dev (>= 1.2.0),
	libghc-criterion-dev,
	libghc-clock-dev,
	libghc-servant-dev,
	libghc-servant-server-dev,
	libghc-servant-client-dev,
	libghc-servant-client-core-dev,
    libghc-unbounded-delays-dev,
	lsof [linux-any],
	ikiwiki,
	libimage-magick-perl,
	git (>= 1:2.22),
	rsync,
	curl,
	openssh-client,
	git-remote-gcrypt (>= 0.20130908-6),
	gnupg,
	gpg-agent,
Maintainer: Richard Hartmann <richih@debian.org>
Standards-Version: 3.9.8
Vcs-Git: git://git.joeyh.name/git-annex
Homepage: http://git-annex.branchable.com/
XS-Testsuite: autopkgtest

Package: git-annex
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
	git (>= 1:2.22),
	netbase,
	rsync,
	curl,
	openssh-client (>= 1:5.6p1)
Recommends: 
	lsof,
	gnupg,
	bind9-host,
	yt-dlp,
	git-remote-gcrypt (>= 0.20130908-6),
	nocache,
	aria2,
Suggests:
	xdot,
	bup,
	adb,
	tor,
	magic-wormhole,
	tahoe-lafs,
	libnss-mdns,
	uftp,
	yt-dlp,
Breaks: datalad (< 0.12.3~)
Description: manage files with git, without checking their contents into git
 git-annex allows managing large files with git, without storing the file 
 contents in git. It can sync, backup, and archive your data, offline
 and online. Checksums and encryption keep your data safe and secure. Bring
 the power and distributed nature of git to bear on your large files with
 git-annex.
 .
 It can store large files in many places, from local hard drives, to a
 large number of cloud storage services, including S3, WebDAV,
 and rsync, with dozens of cloud storage providers usable via plugins.
 Files can be stored encrypted with gpg, so that the cloud storage
 provider cannot see your data. git-annex keeps track of where each file
 is stored, so it knows how many copies are available, and has many
 facilities to ensure your data is preserved.
 .
 git-annex can also be used to keep a folder in sync between computers,
 noticing when files are changed, and automatically committing them
 to git and transferring them to other computers. The git-annex webapp
 makes it easy to set up and use git-annex this way.

=== debian/control ===
Source: git-annex
Section: utils
Priority: optional
Build-Depends: 
	debhelper (>= 9),
	ghc (>= 8.4.3),
	cabal-install,
	libghc-mtl-dev (>= 2.1.1),
	libghc-split-dev,
	libghc-data-default-dev,
	libghc-hslogger-dev,
	libghc-cryptonite-dev,
	libghc-memory-dev,
	libghc-deepseq-dev,
	libghc-attoparsec-dev,
	libghc-sandi-dev,
	libghc-utf8-string-dev,
	libghc-aws-dev (>= 0.9.2-2~),
	libghc-conduit-dev,
	libghc-resourcet-dev,
	libghc-quickcheck2-dev,
	libghc-monad-control-dev (>= 0.3),
	libghc-transformers-dev,
	libghc-exceptions-dev (>= 0.6),
	libghc-unix-compat-dev,
	libghc-dlist-dev,
	libghc-uuid-dev,
	libghc-aeson-dev,
	libghc-tagsoup-dev,
	libghc-unordered-containers-dev,
	libghc-ifelse-dev,
	libghc-bloomfilter-dev,
	libghc-edit-distance-dev,
	libghc-hinotify-dev [linux-any],
	libghc-dbus-dev (>= 0.10.7) [linux-any],
	libghc-fdo-notify-dev (>= 0.3) [linux-any],
	libghc-yesod-dev (>= 1.2.6.1)       [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-yesod-core-dev (>= 1.2.19)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-yesod-form-dev (>= 1.3.15)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-yesod-static-dev (>= 1.2.4)  [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-shakespeare-dev (>= 2.0.0)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-clientsession-dev            [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-warp-dev (>= 3.0.0.5)        [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-warp-tls-dev                 [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-wai-dev                      [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-wai-extra-dev                [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 m68k mips mips64el mipsel powerpc ppc64el s390x],
	libghc-dav-dev (>= 1.0),
	libghc-persistent-dev,
	libghc-persistent-template-dev,
	libghc-persistent-sqlite-dev,
	libghc-microlens-dev,
	libghc-securemem-dev,
	libghc-byteable-dev,
	libghc-stm-chans-dev,
	libghc-case-insensitive-dev,
	libghc-http-types-dev,
	libghc-http-conduit-dev,
	libghc-http-client-restricted-dev,
	libghc-blaze-builder-dev,
	libghc-crypto-api-dev,
	libghc-network-multicast-dev,
	libghc-network-info-dev [linux-any kfreebsd-any],
	libghc-safesemaphore-dev,
	libghc-async-dev,
	libghc-monad-logger-dev,
	libghc-free-dev,
	libghc-feed-dev (>= 0.3.9.2),
	libghc-regex-tdfa-dev,
	libghc-tasty-dev (>= 0.7),
	libghc-tasty-hunit-dev,
	libghc-tasty-quickcheck-dev,
	libghc-tasty-rerun-dev,
	libghc-cabal-dev,
	libghc-ansi-terminal-dev,
	libghc-optparse-applicative-dev (>= 0.11.0),
	libghc-torrent-dev,
	libghc-concurrent-output-dev,
	libghc-disk-free-space-dev,
	libghc-mountpoints-dev,
	libghc-magic-dev,
	libghc-socks-dev,
	libghc-vector-dev,
	libghc-unliftio-core-dev,
	libghc-filepath-bytestring-dev,
	libghc-git-lfs-dev (>= 1.2.0),
	libghc-criterion-dev,
	libghc-clock-dev,
	libghc-servant-dev,
	libghc-servant-server-dev,
	libghc-servant-client-dev,
	libghc-servant-client-core-dev,
    libghc-unbounded-delays-dev,
	lsof [linux-any],
	ikiwiki,
	libimage-magick-perl,
	git (>= 1:2.22),
	rsync,
	curl,
	locales,
	openssh-client,
	git-remote-gcrypt (>= 0.20130908-6),
	gnupg,
	gpg-agent,
Maintainer: Richard Hartmann <richih@debian.org>
Standards-Version: 3.9.8
Vcs-Git: git://git.joeyh.name/git-annex
Homepage: http://git-annex.branchable.com/
XS-Testsuite: autopkgtest

Package: git-annex-standalone
Architecture: any
Section: utils
Conflicts: git-annex
Provides: git-annex
Depends: ${misc:Depends},
	git,
	netbase,
	openssh-client
Recommends: 
	lsof,
	gnupg,
	bind9-host,
	yt-dlp,
	git-remote-gcrypt (>= 0.20130908-6),
	nocache,
	aria2,
Suggests:
	xdot,
	bup,
	adb,
	tor,
	magic-wormhole,
	tahoe-lafs,
	libnss-mdns,
	uftp,
	yt-dlp,
Breaks: datalad (< 0.12.3~)
Description: manage files with git, without checking their contents into git -- standalone build
 git-annex allows managing large files with git, without storing the file 
 contents in git. It can sync, backup, and archive your data, offline
 and online. Checksums and encryption keep your data safe and secure. Bring
 the power and distributed nature of git to bear on your large files with
 git-annex.
 .
 It can store large files in many places, from local hard drives, to a
 large number of cloud storage services, including S3, WebDAV,
 and rsync, with dozens of cloud storage providers usable via plugins.
 Files can be stored encrypted with gpg, so that the cloud storage
 provider cannot see your data. git-annex keeps track of where each file
 is stored, so it knows how many copies are available, and has many
 facilities to ensure your data is preserved.
 .
 git-annex can also be used to keep a folder in sync between computers,
 noticing when files are changed, and automatically committing them
 to git and transferring them to other computers. The git-annex webapp
 makes it easy to set up and use git-annex this way.
 .
 This package provides a standalone bundle build of git-annex, which
 should be installable on any more or less recent Debian or Ubuntu
 release.

=== debian/rules ===
#!/usr/bin/make -f

export BUILDER=./Setup

# -j1 is used for reproducible build
export BUILDEROPTIONS=-j1

STANDALONE_BUILD=$(shell grep -qe '^Package: git-annex-standalone' debian/control \
                         && echo 1 || echo 0)

# Do use the changelog's version number, rather than making one up.
export RELEASE_BUILD=1

export ZSH_COMPLETIONS_PATH=/usr/share/zsh/vendor-completions

%:
	dh $@


# Standalone build logic/helpers
ifeq ($(STANDALONE_BUILD),1)

override_dh_auto_build:
	make linuxstandalone GIT_ANNEX_PACKAGE_INSTALL=1

override_dh_auto_install:
	make install-desktop install-docs install-completions \
		DESTDIR=debian/git-annex-standalone
	# bins are linked into place, as instructed in debian/install and debian/links

override_dh_fixperms:
	dh_fixperms -Xld-linux

# gdb can't do much with a haskell program, so avoid the debug package
override_dh_strip:
	dh_strip --no-automatic-dbgsym

# Do not add "ldconfig" trigger since all libraries in the standalone build
# are private copies and the trigger activate-noawait trigger may not work
# on elderly distributions (e.g. squeeze)
override_dh_makeshlibs:
	dh_makeshlibs --noscripts

# For portability to older systems which do not support default (since
# buster) .xz for components of the .deb
override_dh_builddeb:
	dh_builddeb -- -Zgzip

endif

## git-annex 10.20251029

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-all=git-annex git-annex-shell git-remote-annex git-remote-tor-annex mans docs
+all=git-annex git-annex-shell git-remote-annex git-remote-p2p-annex git-remote-tor-annex mans docs
 
 # set to "./Setup" if you lack a cabal program. Or can be set to "stack"
 BUILDER?=cabal
@@ -74,6 +74,9 @@
 git-remote-annex: git-annex
 	@ln -sf git-annex git-remote-annex
 
+git-remote-p2p-annex: git-annex
+	@ln -sf git-annex git-remote-p2p-annex
+
 git-remote-tor-annex: git-annex
 	@ln -sf git-annex git-remote-tor-annex
 
@@ -93,6 +96,7 @@
 	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-annex-shell
 	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-remote-annex
 	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-remote-tor-annex
+	ln -sf git-annex $(DESTDIR)$(PREFIX)/bin/git-remote-p2p-annex
 
 install-desktop: build Build/InstallDesktopFile
 	./Build/InstallDesktopFile $(PREFIX)/bin/git-annex || true

=== debian/changelog ===
git-annex (10.20251029-1) unstable; urgency=medium

  * New upstream release.
  * Add build-dep on libghc-unbounded-delays-dev.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 11 Nov 2025 17:35:03 +0000

git-annex (0.09) unstable; 

=== debian/control ===
Source: git-annex
Section: utils
Priority: optional
Build-Depends: 
	debhelper-compat (= 13),
	ghc (>= 8.4.3),
	cabal-install,
	libghc-mtl-dev (>= 2.1.1),
	libghc-split-dev,
	libghc-data-default-dev,
	libghc-hslogger-dev,
	libghc-crypton-dev,
	libghc-memory-dev,
	libghc-deepseq-dev,
	libghc-attoparsec-dev,
	libghc-sandi-dev,
	libghc-utf8-string-dev,
	libghc-aws-dev (>= 0.20),
	libghc-conduit-dev,
	libghc-resourcet-dev,
	libghc-quickcheck2-dev (>= 2.10.0),
	libghc-monad-control-dev (>= 0.3),
	libghc-transformers-dev,
	libghc-exceptions-dev (>= 0.6),
	libghc-unix-compat-dev,
	libghc-dlist-dev,
	libghc-uuid-dev,
	libghc-aeson-dev,
	libghc-tagsoup-dev,
	libghc-unordered-containers-dev,
	libghc-ifelse-dev,
	libghc-bloomfilter-dev (>= 2.0.0),
	libghc-edit-distance-dev,
	libghc-hinotify-dev (>= 0.3.10) [linux-any],
	libghc-dbus-dev (>= 0.10.7) [linux-any],
	libghc-fdo-notify-dev (>= 0.3) [linux-any],
	libghc-yesod-dev (>= 1.2.6.1)       [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-yesod-core-dev (>= 1.2.19)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-yesod-form-dev (>= 1.3.15)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-yesod-static-dev (>= 1.2.4)  [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-shakespeare-dev (>= 2.0.0)   [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-clientsession-dev            [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-warp-dev (>= 3.0.0.5)        [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-warp-tls-dev                 [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-wai-dev                      [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-wai-extra-dev                [i386 amd64 arm64 armel armhf kfreebsd-i386 kfreebsd-amd64 loong64 m68k mips mips64el mipsel powerpc ppc64el s390x riscv64],
	libghc-dav-dev (>= 1.0),
	libghc-persistent-dev (>= 2.8.1),
	libghc-persistent-template-dev,
	libghc-persistent-sqlite-dev (>= 2.8.1),
	libghc-microlens-dev,
	libghc-securemem-dev,
	libghc-byteable-dev,
	libghc-stm-chans-dev,
	libghc-case-insensitive-dev,
	libghc-http-types-dev,
	libghc-http-conduit-dev,
	libghc-http-client-restricted-dev,
	libghc-blaze-builder-dev,
	libghc-crypto-api-dev,
	libghc-network-multicast-dev,
	libghc-network-info-dev [linux-any kfreebsd-any],
	libghc-safesemaphore-dev,
	libghc-async-dev,
	libghc-monad-logger-dev,
	libghc-free-dev,
	libghc-feed-dev (>= 1.0.0),
	libghc-regex-tdfa-dev,
	libghc-tasty-dev (>= 0.7),
	libghc-tasty-hunit-dev,
	libghc-tasty-quickcheck-dev,
	libghc-tasty-rerun-dev,
	libghc-cabal-dev,
	libghc-ansi-terminal-dev,
	libghc-optparse-applicative-dev (>= 0.11.0),
	libghc-torrent-dev,
	libghc-concurrent-output-dev,
	libghc-unbounded-delays-dev,
	libghc-disk-free-space-dev,
	libghc-mountpoints-dev,
	libghc-magic-dev,
	libghc-socks-dev,
	libghc-vector-dev,
	libghc-unbounded-delays-dev,
	libghc-unliftio-core-dev,
	libghc-filepath-bytestring-dev,
	libghc-git-lfs-dev (>= 1.2.0),
	libghc-criterion-dev,
	libghc-clock-dev,
	libghc-servant-dev,
	libghc-servant-server-dev,
	libghc-servant-client-dev,
	libghc-servant-client-core-dev,
	lsof [linux-any],
	ikiwiki,
	libimage-magick-perl,
	git (>= 1:2.22),
	rsync,
	curl,
	openssh-client,
	git-remote-gcrypt (>= 0.20130908-6),
	gnupg,
	gpg-agent,
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Richard Hartmann <richih@debian.org>,
 Sean Whitton <spwhitton@spwhitton.name>,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/haskell-team/git-annex.git
Vcs-Browser: https://salsa.debian.org/haskell-team/git-annex
Homepage: http://git-annex.branchable.com/
XS-Testsuite: autopkgtest

Package: git-annex
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends},
	git (>= 1:2.22),
	netbase,
	rsync,
	curl,
	openssh-client (>= 1:5.6p1)
Recommends: 
	lsof,
	gnupg,
	bind9-host,
	git-remote-gcrypt (>= 0.20130908-6),
	nocache,
	aria2,
Suggests:
	xdot,
	bup,
	adb,
	tor,
	magic-wormhole,
	tahoe-lafs,
	libnss-mdns,
	uftp,
	yt-dlp,
Breaks: datalad (<< 0.12.3~)
Description: manage files with git, without checking their contents into git
 git-annex allows managing large files with git, without storing the file 
 contents in git. It can sync, backup, and archive your data, offline
 and online. Checksums and encryption keep your data safe and secure. Bring
 the power and distributed nature of git to bear on your large files with
 git-annex.
 .
 It can store large files in many places, from local hard drives, to a
 large number of cloud storage services, including S3, WebDAV,
 and rsync, with dozens of cloud storage providers usable via plugins.
 Files can be stored encrypted with gpg, so that the cloud storage
 provider cannot see your data. git-annex keeps track of where each file
 is stored, so it knows how many copies are available, and has many
 facilities to ensure your data is preserved.
 .
 git-annex can also be used to keep a folder in sync between computers,
 noticing when files are changed, and automatically committing them
 to git and transferring them to other computers. The git-annex webapp
 makes it easy to set up and use git-annex this way.
